Subject: Re: bug#47558: 28.0.50; dlopen 'image not found' gccemacs native-lisp macos

From: Bryan O'Brien <[email-masked]>
Date: Wed, 07 Apr 2021 13:30:08 -0500

Error is resolved with latest branch.
This is the build shell I used:

# native-comp optimization
export CFLAGS="-I$(brew --prefix libgccjit)/include"
export LDFLAGS="-L$(brew --prefix libgccjit)/lib/gcc/10" 
export CC="clang"

cd gccemacs || exit

git clean -xfd

./autogen.sh

./configure --with-native-compilation --with-x-widgets

make NATIVE_FULL_AOT=1 -j 16

make -j 16 install

Eli Zaretskii <[email-masked]> writes:

>> From: Andrea Corallo <[email-masked]>
>> Cc: Eli Zaretskii <[email-masked]>, [email-masked],
>>         [email-masked]
>> Date: Tue, 06 Apr 2021 19:26:16 +0000
>> 
>> On this subject I just realized that there we used concat in place of
>> `expand-file-name' and fixed that with 6568198213.
>
> I needed to revert that part, because we cannot call expand-file-name
> so early into startup, at least not on MS-Windows.  Was there some
> real problem you saw that was caused by using concat2 there?